Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherRGBProperty

    java.lang.Object
      org.apache.poi.ddf.EscherProperty
          org.apache.poi.ddf.EscherSimpleProperty
              org.apache.poi.ddf.EscherRGBProperty

public class EscherRGBProperty
extends EscherSimpleProperty

A color property.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary

Fields inherited from class org.apache.poi.ddf.EscherSimpleProperty
`propertyValue`

Constructor Summary
`EscherRGBProperty(short propertyNumber, int rgbColor)`

Method Summary
`byte` | `getBlue()`
`byte` | `getGreen()`
`byte` | `getRed()`
`int` | `getRgbColor()`

Methods inherited from class org.apache.poi.ddf.EscherSimpleProperty
`equals, getPropertyValue, hashCode, serializeComplexPart, serializeSimplePart, toString`

Methods inherited from class org.apache.poi.ddf.EscherProperty
`getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscherRGBProperty

    public EscherRGBProperty(short propertyNumber,
                             int rgbColor)

Method Detail

### getRgbColor

    public int getRgbColor()

### getRed

    public byte getRed()

### getGreen

    public byte getGreen()

### getBlue

    public byte getBlue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.